@mixin make-padding($s) {
    #{$s}p{
        padding: 1px;
    }
    #{$s}pt{
        padding-top: 1px;
    }
    #{$s}pr{
        padding-right: 1px;
    }
    #{$s}pb{
        padding-bottom: 1px;
    }
    #{$s}pl{
        padding-left: 1px;
    }
    #{$s}py{
        padding-top: 1px;
        padding-bottom: 1px;
    }
    #{$s}px{
        padding-right: 1px;
        padding-left: 1px;
    }
    @for $i from 0 to 101 {
        #{$s}p-#{$i}{
            padding: #{ 0.25 * $i}rem;
        }
        #{$s}py-#{$i}{
            padding-top: #{ 0.25 * $i}rem;
            padding-bottom: #{ 0.25 * $i}rem;
        }
        #{$s}px-#{$i}{
            padding-right: #{ 0.25 * $i}rem;
            padding-left: #{ 0.25 * $i}rem;
        }
        #{$s}pt-#{$i}{
            padding-top: #{ 0.25 * $i}rem;
        }
        #{$s}pr-#{$i}{
            padding-right: #{ 0.25 * $i}rem;
        }
        #{$s}pb-#{$i}{
            padding-bottom: #{ 0.25 * $i}rem;
        }
        #{$s}pl-#{$i}{
            padding-left: #{ 0.25 * $i}rem;
        }
    }
}